package ru.dbotthepony.kommons.util

/**
 * Observes upstream value for changes when [observe] is called
 */
interface Observer {
	/**
	 * Returns true if value changed since last observation.
	 */
	fun observe(): Boolean
}
